package com.yunfeiyun.agmp.pts.service;

import java.util.List;

import com.yunfeiyun.agmp.common.core.domain.model.LoginUser;
import com.yunfeiyun.agmp.pts.domain.PtsLink;

/**
 * 链接Service接口
 * 
 * @author 杨晓辉
 * @date 2023-05-23
 */
public interface IPtsLinkService 
{
    /**
     * 查询链接
     * 
     * @param linkId 链接主键
     * @return 链接
     */
    public PtsLink selectPtsLinkByLinkId(String linkId);

    /**
     * 查询链接列表
     * 
     * @param ptsLink 链接
     * @return 链接集合
     */
    public List<PtsLink> selectPtsLinkList(PtsLink ptsLink,int type);

    /**
     * 新增链接
     * 
     * @param ptsLink 链接
     * @return 结果
     */
    public int insertPtsLink(PtsLink ptsLink, LoginUser user);

    /**
     * 修改链接
     * 
     * @param ptsLink 链接
     * @return 结果
     */
    public int updatePtsLink(PtsLink ptsLink,LoginUser user);

    /**
     * 批量删除链接
     * 
     * @param linkIds 需要删除的链接主键集合
     * @return 结果
     */
    public int deletePtsLinkByLinkIds(String[] linkIds);

    /**
     * 删除链接信息
     * 
     * @param linkId 链接主键
     * @return 结果
     */
    public int deletePtsLinkByLinkId(String linkId);
}
